efl::gfx::view Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
efl::gfx::view Struct Reference

Class view. More...

## Public Member Functions
| view (Eo *eo)
| Eo Constructor. More...
| view (std::nullptr_t)
| nullptr_t Constructor. More...
| view (view const &other)
| Copy Constructor.
void | size_get (int *w_, int *h_) const
| Retrieves the size of the given image object. More...
void | size_set (int w_, int h_) const
| Sets the size of the given image object. More...
| view (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::view object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const

## Static Public Member Functions
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class view.

## Constructor & Destructor Documentation

efl::gfx::view::view | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new efl::gfx::view object.

Constructs a new efl::gfx::view object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

efl::gfx::view my_view(efl::eo::parent = parent_object);

See also
  view(Eo* eo)

efl::gfx::view::view | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

efl::gfx::view::view | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

void efl::gfx::view::size_get | ( | int * | w_,
|  | int * | h_
| ) |  | const

Retrieves the size of the given image object.

See evas_object_image_size_set() for more details.

Parameters

  w | The new width of the image.
  h | The new height of the image.

void efl::gfx::view::size_set | ( | int | w_,
|  | int | h_
| ) |  | const

Sets the size of the given image object.

This function will scale down or crop the image so that it is treated as if it were at the given size. If the size given is smaller than the image, it will be cropped. If the size given is larger, then the image will be treated as if it were in the upper left hand corner of a larger image that is otherwise transparent.

Parameters

  w | The new width of the image.
  h | The new height of the image.